# Class: Concurrent::SerializedExecution::Job

Inherits:
  Struct
  - Object
  - Struct
  - Concurrent::SerializedExecution::Job
  show all

Defined in:
  lib/concurrent/executor/serialized_execution.rb

## Instance Attribute Summary collapse

- #args ⇒ Object

  Returns the value of attribute args.

- #block ⇒ Object

  Returns the value of attribute block.

- #executor ⇒ Object

  Returns the value of attribute executor.

## Instance Method Summary collapse

- #call ⇒ undocumented

## Instance Attribute Details

### #args ⇒ `Object`

Returns the value of attribute args

Returns:

- (`Object`) —

  the current value of args

    16
    17
    18

    # File 'lib/concurrent/executor/serialized_execution.rb', line 16

    def args
      @args
    end

### #block ⇒ `Object`

Returns the value of attribute block

Returns:

- (`Object`) —

  the current value of block

    16
    17
    18

    # File 'lib/concurrent/executor/serialized_execution.rb', line 16

    def block
      @block
    end

### #executor ⇒ `Object`

Returns the value of attribute executor

Returns:

- (`Object`) —

  the current value of executor

    16
    17
    18

    # File 'lib/concurrent/executor/serialized_execution.rb', line 16

    def executor
      @executor
    end

## Instance Method Details

### #call ⇒ `undocumented`

    17
    18
    19

    # File 'lib/concurrent/executor/serialized_execution.rb', line 17

    def call
      block.call(*args)
    end